@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Poppins';
    src: url('../fonts/Poppins-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Poppins';
    src: url('../fonts/Poppins-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

body {
    font-family: 'Mulish', sans-serif;
    font-size: 14px;
    /* color: #555555 !important; */
}

.elevation-1 {
    box-shadow: 0 1px 9px rgba(0, 0, 0, 0.12) !important;
}

.elevation-2 {
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16) !important;
}
.elevation-3 {
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19) !important;
}

.elevation-4 {
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25) !important;
}

.elevation-5 {
    box-shadow: 0 19px 38px rgba(0, 0, 0, 0.3) !important;
}

:root {
    --bs-app-card-bg-color: rgb(255, 255, 255);
    --bs-app-card-border-color: rgba(0, 0, 0, 0.08);

    --bs-primary: #696cff;
    --bs-secondary: #8592a3;
    --bs-success: #41b900;
    --bs-info: #03c3ec;
    --bs-warning: #ffab00;
    --bs-danger: #ff3e1d;

    --bs-primary-hover: #5254c9;
    --bs-secondary-hover: #6f7987;
    --bs-success-hover: #349500;
    --bs-info-hover: #019dc0;
    --bs-warning-hover: #cd8900;
    --bs-danger-hover: #cb3217;

    --border-radius: 4px;
}

.btn:hover {
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16) !important;
}

/* Button */
.btn-primary {
    color: #fff !important;
    background-color: var(--bs-primary) !important;
    border-color: var(--bs-primary) !important;
}

.btn-secondary {
    color: #fff !important;
    background-color: var(--bs-secondary) !important;
    border-color: var(--bs-secondary) !important;
}

.btn-success {
    color: #fff !important;
    background-color: var(--bs-success) !important;
    border-color: var(--bs-success) !important;
}

.btn-info {
    color: #fff !important;
    background-color: var(--bs-info) !important;
    border-color: var(--bs-info) !important;
}

.btn-warning {
    color: #fff !important;
    background-color: var(--bs-warning) !important;
    border-color: var(--bs-warning) !important;
}

.btn-danger {
    color: #fff !important;
    background-color: var(--bs-danger) !important;
    border-color: var(--bs-danger) !important;
}
/* Button */

/* Button Hover */
.btn-primary:hover,
.btn-outline-primary:hover {
    color: #fff !important;
    background-color: var(--bs-primary-hover) !important;
    border-color: var(--bs-primary-hover) !important;
}

.btn-secondary:hover,
.btn-outline-secondary:hover {
    color: #fff !important;
    background-color: var(--bs-secondary-hover) !important;
    border-color: var(--bs-secondary-hover) !important;
}

.btn-success:hover,
.btn-outline-success:hover {
    color: #fff !important;
    background-color: var(--bs-success-hover) !important;
    border-color: var(--bs-success-hover) !important;
}

.btn-info:hover,
.btn-outline-info:hover {
    color: #fff !important;
    background-color: var(--bs-info-hover) !important;
    border-color: var(--bs-info-hover) !important;
}

.btn-warning:hover,
.btn-outline-warning:hover {
    color: #fff !important;
    background-color: var(--bs-warning-hover) !important;
    border-color: var(--bs-warning-hover) !important;
}

.btn-danger:hover,
.btn-outline-danger:hover {
    color: #fff !important;
    background-color: var(--bs-danger-hover) !important;
    border-color: var(--bs-danger-hover) !important;
}
/* Button Hover */

/* Button Outline */
.btn-outline-primary {
    color: var(--bs-primary) !important;
    border-color: var(--bs-primary) !important;
}

.btn-outline-secondary {
    color: var(--bs-secondary) !important;
    border-color: var(--bs-secondary) !important;
}

.btn-outline-success {
    color: var(--bs-success) !important;
    border-color: var(--bs-success) !important;
}

.btn-outline-info {
    color: var(--bs-info) !important;
    border-color: var(--bs-info) !important;
}

.btn-outline-warning {
    color: var(--bs-warning) !important;
    border-color: var(--bs-warning) !important;
}

.btn-outline-danger {
    color: var(--bs-danger) !important;
    border-color: var(--bs-danger) !important;
}
/* Button Outline */

/* Background */
.bg-primary {
    color: #fff !important;
    background-color: var(--bs-primary) !important;
}

.bg-secondary {
    color: #fff !important;
    background-color: var(--bs-secondary) !important;
}

.bg-success {
    color: #fff !important;
    background-color: var(--bs-success) !important;
}

.bg-info {
    color: #fff !important;
    background-color: var(--bs-info) !important;
}

.bg-warning {
    color: #fff !important;
    background-color: var(--bs-warning) !important;
}

.bg-danger {
    color: #fff !important;
    background-color: var(--bs-danger) !important;
}
/* Background */

/* Text */
.text-primary {
    color: var(--bs-primary) !important;
}

.text-secondary {
    color: var(--bs-secondary) !important;
}

.text-success {
    color: var(--bs-success) !important;
}

.text-info {
    color: var(--bs-info) !important;
}

.text-warning {
    color: var(--bs-warning) !important;
}

.text-danger {
    color: var(--bs-danger) !important;
}
/* Text */

/* Radio Check */
.btn-check:checked + .btn {
    color: white !important;
}

.modal-content {
    border: none;
}

/* style tambahan untuk datatable server side */
.datatable-style tr th {
    white-space: nowrap;
    background-color: aliceblue;
}

.datatable-style th {
    border-top: 1px solid #cfeaff;
    border-bottom: 1px solid #cfeaff;
    border-right: 1px solid #cfeaff;
}

.datatable-style th:first-child {
    border-left: 1px solid #cfeaff;
}

.datatable-style td {
    border-bottom: 1px solid #cfeaff;
    border-right: 1px solid #cfeaff;
    vertical-align: top;
    white-space: nowrap;
}

.datatable-style td:first-child {
    border-left: 1px solid #cfeaff;
}

.datatable-style tr:hover {
    background-color: #eaf6f6;
}

.dataTables_info,
.dataTables_length label {
    color: gray;
}

/* Menghilangkan icon default DataTables */
.dataTable thead .sorting::after,
.dataTable thead .sorting_asc::after,
.dataTable thead .sorting_desc::after,
.dataTable thead .sorting::before,
.dataTable thead .sorting_asc::before,
.dataTable thead .sorting_desc::before {
    display: none !important;
}

/* Menambahkan Bootstrap Icons */
.dataTable thead th {
    position: relative;
    cursor: pointer;
    padding-right: 34px !important;
    vertical-align: middle;
}

/* 1. Icon saat kolom BISA di-sort (Default) */
.dataTable thead th.sorting::after {
    content: '\F698';
    font-family: 'bootstrap-icons';
    display: block !important;
    font-size: 18px;
    top: 5px;
    opacity: 0.2;
}

/* Icon saat Ascending Down */
.dataTable thead th.sorting_asc::after {
    content: '\F574';
    font-family: 'bootstrap-icons';
    display: block !important;
    font-size: 18px;
    top: 5px;
    opacity: 0.8;
}

/* Icon saat Descending Up */
.dataTable thead th.sorting_desc::after {
    content: '\F57B';
    font-family: 'bootstrap-icons';
    display: block !important;
    font-size: 18px;
    top: 5px;
    opacity: 0.8;
}

/* Style Loading Proses Datatable Serverside */
.dataTables_processing {
    border-radius: 6px;
    color: white;
    font-weight: bold;
    background-color: #a60000;
    box-shadow: 5px 5px 5px #888888;
}

/*-----------------------------------------------------------------------------------------------------*/

/* Menghilangkan shadow pada tombol, input, card, dan modal */
*,
*::before,
*::after {
    box-shadow: none !important;
}

div.dataTables_wrapper div.dataTables_filter input {
    margin-left: 0px !important;
}

/* Efek Baris Glow */
.glow-line {
    position: relative;
    height: 2px; /* Tebal garis */
    overflow: hidden;
    border-radius: 2px;
}

/* Efek cahaya yang berjalan */
.glow-line::after {
    content: '';
    position: absolute;
    top: 0;
    left: -150%; /* Mulai dari luar kiri */
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, transparent, /* Hijau pudar */ rgba(34, 197, 94, 0.2), /* Hijau terang (pusat cahaya) */ var(--bs-success), /* Hijau pudar */ rgba(34, 197, 94, 0.2), transparent);
    animation: sweep 3s infinite linear;
}

@keyframes sweep {
    0% {
        left: -100%;
    }
    50% {
        left: 100%;
    }
    100% {
        left: 100%;
    }
}

/* Style Select 2 */
.select2-container--default .select2-selection--single,
.select2-selection .select2-selection--single {
    border: 1px solid #e9e9fa !important;
    border-radius: 4px !important;
    height: 30px !important;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: var(--bs-success);
    color: white;
}

.select2-selection__rendered {
    line-height: 25px !important;
}

.select2-selection__arrow {
    height: 27px !important;
}

.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--selected,
.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option[aria-selected='true']:not(.select2-results__option--highlighted) {
    color: white;
    background-color: var(--bs-success) !important;
}

/* SweetAlert2 */
.swal2-icon {
    margin-top: 14px;
}

.swal2-title {
    font-size: inherit !important;
    padding: 0px;
}

.swal2-html-container {
    font-size: inherit !important;
    padding-top: 8px;
}

.swal2-actions {
    margin-top: 32px;
}

.swal2-confirm {
    padding-top: 4px;
    padding-bottom: 4px;
}

.swal2-deny {
    padding-top: 4px;
    padding-bottom: 4px;
}

.swal2-cancel {
    padding-top: 4px;
    padding-bottom: 4px;
}

.swal2-popup {
    padding-bottom: 8px;
}

.swal-split-buttons {
    display: flex !important;
    justify-content: space-between !important;
    width: 100% !important;
    padding: 0 20px !important;
    box-sizing: border-box;
}

/* Toastr */
#toast-container > .toast-success {
    background-color: var(--bs-success) !important;
    opacity: 0.95;
}
#toast-container > .toast-info {
    background-color: var(--bs-info) !important;
    opacity: 0.95;
}
#toast-container > .toast-warning {
    background-color: var(--bs-warning) !important;
    opacity: 0.95;
}
#toast-container > .toast-error {
    background-color: var(--bs-danger) !important;
    opacity: 0.95;
}

/* Flat Pick */
.flatpickr-time,
.flatpickr-calendar {
    box-shadow: 0 3px 6px #00000029 !important;
    border-color: lightgray;
    border-style: solid;
    border-width: 1px;
}

.flatpickr-months {
    margin-top: 8px;
    margin-bottom: 16px;
}
.flatpickr-weekdays {
    margin-bottom: 8px;
}

.flatpickr-day.selected {
    background: var(--bs-success);
    border-color: var(--bs-success);
}
.flatpickr-day.selected:hover {
    background: var(--bs-success);
    border-color: var(--bs-success);
}

.flatpickr-day.startRange.prevMonthDay,
.flatpickr-day.startRange:focus,
.flatpickr-day.startRange:hover,
.flatpickr-day.startRange {
    background: var(--bs-success);
    border-color: var(--bs-success);
}

.flatpickr-day.endRange.nextMonthDay,
.flatpickr-day.endRange:focus,
.flatpickr-day.endRange:hover,
.flatpickr-day.endRange {
    background: var(--bs-success);
    border-color: var(--bs-success);
}

/* Card */
.card {
    background-color: var(--bs-app-card-bg-color);
    border: 1px solid var(--bs-app-card-border-color);
    border-radius: 0.35rem;
}

.card-header {
    border-bottom: 1px solid var(--bs-app-card-border-color);
}

.card-footer {
    border-top: 1px solid var(--bs-app-card-border-color);
}

.form-switch .form-check-input:checked {
    background-color: #41b900; /* Warna success Bootstrap */
    border-color: #41b900;
}
